{% load timeutil %}
{% load scientific %}

<div id="gdb-table-neighbors">


  <table class="table-hover table-condensed table-resp-gracedb shadow p-3 mb-5 rounded"
         id="event-neighbors">
    <thead>
      <tr>
        <th colspan="12"> Neighbor Window: &nbsp;
          <span data-dojo-type="dijit/InlineEditBox" class="neighborsTextBox"
                                                     data-dojo-props="editor:'dijit/form/TextBox', editorParams:{constraints:{places:0} }" width="100px" 
                                                                                                                                           title="window"
                                                                                                                                           onchange="refresh_neighbors(this.value)">{{neighbor_delta}}</span>

        </th>
      </tr>
      <tr>
        <th>UID</th>
        <!-- <th>Labels</th> -->
        <th>Group</th>
        <th>Pipeline</th>
        <th>Search</th>
        <!-- <th>Instruments</th> -->
        <!-- <th>
          {{ "ngps"|timeselect:"gps" }}
          </th> -->
          <th>&Delta;gpstime</th>
          <th>FAR (Hz)</th>
          <th>SNR</th>
          <!-- <th>Links</th> -->
          <th>
            {{ "nsubmitted"|timeselect:"utc" }}
          </th>
      </tr>
    </thead>
    {% if nearby %}
    {% for delta, object in nearby %}
    <tr>
      <th class="collapsed-header" data-title="UID"><a href="{% url "view" object.graceid %}">{{ object.graceid }}</a></td>
        <!-- <td data-title="Labels">
          {% if object.labelling_set.all %}
          {% for labelling in object.labelling_set.all %}
          <span style="color: {{labelling.label.defaultColor}};" class="label"
          data-toggle="tooltip"
          data-placement="top"
          data-html="true"
          title="<em>{{labelling.label.description}}</em><br>">
          {{ labelling.label.name }}</span>
          {% endfor %}
          {% else %}
          &nbsp; &nbsp; &nbsp; &nbsp;
          {% endif %}
        </td> -->
        <td data-title="Group">{{ object.group.name }} </td>
        <td data-title="Pipeline">{{ object.pipeline.name }} </td>
        <td data-title="Search">
          {% if object.search.name %}
          {{ object.search.name }} 
          {% else %}
          &nbsp; &nbsp; &nbsp; &nbsp;
          {% endif %}
        </td>
        <!-- <td data-title="Instruments">
          {% if object.instruments %}
          {{ object.instruments }} 
          {% else %}
          &nbsp; &nbsp; &nbsp; &nbsp;
          {% endif %}
        </td> -->
        <!-- <td data-title="Event Time">{% if object.gpstime%}
          {{ object.gpstime|multiTime:"ngps" }}
          {% endif %}
	</td> -->
        <td data-title="Time Delta (s)">{{ delta }}</td>
        <td data-title="FAR (Hz)">
          {% if object.far|scientific %}
          {{ object.far|scientific }} 
          {% else %}
          &nbsp; &nbsp; &nbsp; &nbsp;
          {% endif %}
        </td>
        <td data-title="SNR">
          {% if object.coincinspiralevent %}
          {{ object.coincinspiralevent.snr|floatformat:"3" }}
	  {% elif object.multiburstevent %}
          {{ object.multiburstevent.snr|floatformat:"3" }}
          {% elif object.lalinferenceburstevent %}
          {{ object.lalinferenceburstevent.omicron_snr_network|floatformat:"3" }}
          {% else %}
          &nbsp; &nbsp; &nbsp; &nbsp;
          {% endif %}
        </td>
        <!-- <td data-title="Links"><a href="{{ object.weburl }}">Data</a></td> -->
        <td data-title="Submitted">{{ object.created|multiTime:"nsubmitted" }}</td>
    </tr>
    {% endfor %}
    {% else %}
    <tr><td>
        No neighbors in range.
      </td></tr>
      {% endif %}
  </table>
</div>
